<?php
/**
* @version		1.6.0
* @package		Joomla
* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
*/

// ensure this file is being included by a parent file
defined('_JEXEC') or die( 'Restricted access' );
//defined('DS') or define('DS', DIRECTORY_SEPARATOR);

// Include the syndicate functions only once
require_once (dirname(__FILE__).DIRECTORY_SEPARATOR.'helper.php');

// Uses the JdbAutoBackup parameters 
$plugin = JPluginHelper::getPlugin( 'system', 'lazydbbackup' );
jimport( 'joomla.registry.registry' );
//$pluginParams = new JParameter( @$plugin->params );
$pluginParams = new JRegistry( @$plugin->params );

$nbDays = $pluginParams->def('xdays', 0);
//$path = JPATH_ROOT.DIRECTORY_SEPARATOR."media";
$path = JPATH_ROOT.DIRECTORY_SEPARATOR."plugins/system/lazydbbackup/dumps";
$backuppath = $pluginParams->def('backuppath', JPATH_ROOT.DIRECTORY_SEPARATOR."media");

if (preg_match("#//#",$backuppath)) {
	$backuppath = str_replace("//", "/", $backuppath);
}
// Uses the LDBChecker parameters 
$boolNbBackups = $params->def('nbBackups', 1);
$boolLastBackupDate = $params->def('lastBackupDate', 1);
$intNbOldBackups = $params->def('nbOldBackups', 0);

if(!empty($plugin))
{

  //if the numbers of backup must be displayed
  if($boolNbBackups == 1)
  {
    $nbBackup = 0;
	$nbBackup = mod_LDBChecker::getNbBackups($backuppath);
  }
  
  //if the last backup's date must be displayed
  if($boolLastBackupDate == 1)
  { //echo($path);
    //$datebackup = mod_LDBChecker::getLastBackupDate(JPATH_ROOT.DS."media", $nbBackup, $nbDays); 
	$datebackup = mod_LDBChecker::getLastBackupDate($path, $nbBackup, $nbDays); 
	$lastDate = $datebackup;
  }
  
  //If it is 0, we want to keep all the backups
  if($intNbOldBackups > 0)
  {
    mod_LDBChecker::delOldBackups($backuppath, $intNbOldBackups);
	  //if the numbers of backup must be displayed
	  if($boolNbBackups == 1)
	  {
		$nbBackup = 0;
		$nbBackup = mod_LDBChecker::getNbBackups($backuppath);
	  }
    }
  
  //Go to view (default.php)
  require(JModuleHelper::getLayoutPath('mod_ldbchecker'));
}
else
{
  echo "<div style='padding-top: 6px; height: 19px'>".JTEXT::_('LDBC_ALERT_INSTALL')."</div>";
}
?>